Bug 43070 - losetup fails if /tmp is tmpfs
Summary: losetup fails if /tmp is tmpfs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-31 13:46 UTC by Need Real Name
Modified: 2007-04-18 16:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-31 13:46:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-05-31 13:46:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5-ac5 i686)

Description of problem:
mkinitrd runs losetup which fails over tmpfs. This is probably a bug in the
kernel. (I tested with 2.4.5-ac5)

How reproducible:
Always

Steps to Reproduce:
1. mount /tmp as tmpfs
2. run mkinitrd
	
	

Actual Results:  3. "all your loop devices are in use"

Additional info:

hacking the mktemp lines from /tmp to /var/tmp solved the problem for memk

Comment 1 Erik Troan 2002-01-16 20:36:28 UTC
mkinitrd looks around for a non-tmpfs directory as of 3.3.1


Note You need to log in before you can comment on or make changes to this bug.